Skip to main content
POST
/
inventories
/
{productVariantId}
/
{locationId}
Upsert Inventory
curl --request POST \
  --url https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId} \
  --header 'Content-Type: application/json' \
  --header 'X-Authorization: <api-key>' \
  --data '
{
  "available_count": 123
}
'
import requests

url = "https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId}"

payload = { "available_count": 123 }
headers = {
    "X-Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({available_count: 123})
};

fetch('https://api.loopreturns.com/api/v1/inventories/{productVariantId}/{locationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "inventory": {
    "available_count": 123,
    "product_variant": {
      "id": 123,
      "name": "<string>",
      "external_id": "<string>",
      "sku": "<string>",
      "weight_grams": 123,
      "barcode": "<string>"
    },
    "location": {
      "id": 123,
      "name": "<string>",
      "address": {
        "name": "<string>",
        "company": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "region": "<string>",
        "postal_code": "<string>",
        "country_code": "<string>"
      },
      "external_id": "<string>"
    }
  }
}
{
  "errors": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "errors": {}
}

Authorizations

X-Authorization
string
header
required

API Scope: "Inventory (write)"

Path Parameters

productVariantId
integer
required

The unique identifier for the product variant, created by Loop.

Example:

653985747439023600

locationId
integer
required

The unique identifier for the location, created by Loop.

Example:

631923350119788400

Body

application/json
available_count
integer<int64>
required

The number of product_variants available at location.

Example:

42

Response

Success

inventory
object
required